#ifndef __TCLIFOR_H
#define __TCLIFOR_H

#ifndef __CHECKS_H
#include <checks.h>
#endif

#ifndef __RELATION_H
#include <relation.h>
#endif

#ifndef __MASK_H
#include <mask.h>
#endif

class TCliFor : public TRelation
{
  private:
   
    char _tipocf;
    long _codcf; 
   
  public:
   
    TCliFor( );
    void load( const char tipocf, const long codcf );
    const TString& get( const int file, const TString& fieldname );
    int get_int( const int file, const TString& fieldname );
    long get_long( const int file, const TString& fieldname );
    bool get_bool( const int file, const TString& fieldname );
    bool occasionale( ){ return TRUE; };     
};

class TCliForVendite : public TCliFor
{
  private:
  
    TMask * _mask;
    
  public:
    
    void set_mask( TMask* mask );
    void update_mask( );
};

#endif
